"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNativeSvg = require("react-native-svg");
var _assets = require("./assets");
var _utils = require("./utils");
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Crypto = _ref => {
  let {
    name = 'btc',
    size = 24,
    shape = 'circular',
    tilt = false
  } = _ref;
  const {
    viewBox,
    paths
  } = _assets.assets[name];
  if (!paths) return null;
  const hexagonPoints = (0, _utils.getHexagonPoints)(viewBox, tilt);
  const octagonPoints = (0, _utils.getOctagonPoints)(viewBox, tilt);
  const squarePoints = (0, _utils.getSquarePoints)(viewBox, tilt);
  let maskId;
  let maskPoints = '';
  switch (shape) {
    case 'hexagonal':
      maskId = 'hexagonMask';
      maskPoints = hexagonPoints;
      break;
    case 'octagonal':
      maskId = 'octagonMask';
      maskPoints = octagonPoints;
      break;
    case 'square':
      maskId = 'squareMask';
      maskPoints = squarePoints;
      break;
  }
  return /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, {
    width: size,
    height: size,
    viewBox: `0 0 ${viewBox} ${viewBox}`,
    fill: "none"
  }, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Defs, null, maskId && /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Mask, {
    id: maskId
  }, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Polygon, {
    points: maskPoints,
    fill: "white"
  })), paths.map((item, idx) => {
    if (item.gradient) {
      return /*#__PURE__*/_react.default.createElement(_reactNativeSvg.LinearGradient, {
        key: `gradient${idx}`,
        id: `gradient${idx}`,
        x1: item.gradient.x1 / viewBox,
        y1: item.gradient.y1 / viewBox,
        x2: item.gradient.x2 / viewBox,
        y2: item.gradient.y2 / viewBox
      }, item.gradient.stops.map((stop, stopIdx) => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Stop, {
        key: stopIdx,
        stopColor: stop.color,
        offset: stop.offset !== null ? stop.offset : '0',
        stopOpacity: stop.stopOpacity !== undefined ? stop.stopOpacity : 1
      })));
    } else return null;
  })), paths.map((item, idx) => /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
    key: idx,
    d: item.path,
    fill: item.gradient ? `url(#gradient${idx})` : item.fill,
    opacity: item.opacity !== undefined ? item.opacity : 1,
    fillRule: "evenodd",
    clipRule: "evenodd",
    mask: maskId ? `url(#${maskId})` : undefined
  })));
};
var _default = Crypto;
exports.default = _default;
//# sourceMappingURL=Crypto.js.map